%define pypi_name	ipdb

Summary:	IPython-enhanced pdb
Name:		python-%{pypi_name}
Version:	0.13.13
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/ipdb
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
Requires:	python3dist(ipython)

%description
ipdb provides access to IPython features from within pdb.

%package -n python3-%{pypi_name}
Summary: 	IPython-enhanced pdb
Provides:	ipdb3 = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ipdb provides access to IPython features from within pdb.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipdb

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc COPYING.txt README.rst HISTORY.txt
%{_bindir}/ipdb3


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.13.13-2.mga10
+ Revision: 2035840
- rebuild for python 3.12
- new version 0.13.13

* Wed Mar 30 2022 umeabot <umeabot> 0.13.9-2.mga9
+ Revision: 1833887
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.13.9-1.mga9
+ Revision: 1784338
- version 0.13.9
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.13.4-2.mga9
+ Revision: 1732938
- Rebuild for python 3.9

* Sun Nov 15 2020 guillomovitch <guillomovitch> 0.13.4-1.mga8
+ Revision: 1646381
- new version 0.13.4

* Sun Mar 29 2020 wally <wally> 0.13.2-1.mga8
+ Revision: 1562200
- new version 0.13.2

* Thu Feb 20 2020 umeabot <umeabot> 0.12.3-2.mga8
+ Revision: 1546109
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.12.3-1.mga8
+ Revision: 1485937
- new version: 0.12.3

* Wed Oct 09 2019 daviddavid <daviddavid> 0.12.2-1.mga8
+ Revision: 1450805
- new version: 0.12.2

* Fri Apr 19 2019 wally <wally> 0.12-1.mga7
+ Revision: 1393454
- new version 0.12
- add python3 to py3 pkg name

* Tue Jan 08 2019 tv <tv> 0.10.3-3.mga7
+ Revision: 1351682
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.3-2.mga7
+ Revision: 1289029
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 0.10.3-1.mga7
+ Revision: 1138979
- update to 0.10.3, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 0.9.3-3.mga7
+ Revision: 1135457
- Rebuild for python 3.6

* Thu Apr 21 2016 philippem <philippem> 0.9.3-2.mga6
+ Revision: 1004055
- wrong requires

* Wed Apr 20 2016 philippem <philippem> 0.9.3-1.mga6
+ Revision: 1003875
- update to 0.9.3

* Sat Feb 20 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 972139
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 0.8.1-1.mga6
+ Revision: 896114
- update to 0.8.1

* Sat Oct 10 2015 tv <tv> 0.8-6.mga6
+ Revision: 888803
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 740725
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-4.mga5
+ Revision: 728756
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-3.mga5
+ Revision: 688089
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8-2.mga5
+ Revision: 628715
- Rebuild for new Python

* Sun Mar 16 2014 philippem <philippem> 0.8-1.mga5
+ Revision: 604230
- update to 0.8, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.7-5.mga4
+ Revision: 543607
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-4.mga4
+ Revision: 498741
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 0.7-3.mga4
+ Revision: 490535
- cleaning spec

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 378998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 0.7-1.mga3
+ Revision: 281138
- Update to 0.7.

* Tue Oct 25 2011 lebedov <lebedov> 0.6.1-1.mga2
+ Revision: 158104
- Update to 0.6.1.

* Mon Sep 26 2011 lebedov <lebedov> 0.6-1.mga2
+ Revision: 148882
- imported package python-ipdb

